-module(client).
-export([main/1]).

hostName() -> 'echo_node@darukhost'.

main(Args) ->
    erlang:display("distribution starting..."),
    erl_distribution:start([client_node, shortnames]),
    erlang:set_cookie(client_node, nocookie),
    erlang:display("distribution started."),
    ClientPid = self(),
    register(client, ClientPid),
    case Args of
	[_,N|_] ->
	    case (catch list_to_integer(N)) of 
		{'EXIT', _} ->
		    usage(),
		    erlang:display("Arg is not an integer!");
		Int ->
		    {echosrv, hostName()} ! {Int},
		    receive 
			{Replay} ->
			    erlang:display(Replay)
		    end
	    end;
	_ -> 
	    usage()
    end,
    erlang:halt().
    
usage() ->
    erlang:display("./client <int_arg>").