-module(echo).
-export([start/1, loop/0]).

hostName() -> 'client_node@darukhost'.

start(_) ->
    erlang:display("distribution starting..."),
    erl_distribution:start([echo_node, shortnames]),
    erlang:set_cookie(client_node, nocookie),
    erlang:display("distribution started."),
    SrvPid = spawn(echo, loop, []),
    register(echosrv, SrvPid).

loop() ->
    erlang:display("server awaits..."),
    receive
	{Msg} ->
	    N = mymath:square(Msg),
	    {client, hostName()} ! {N},
	    loop();
	Other ->
	    loop()
    end.
